%define upstream_name    Package-Stash
%define upstream_version 0.36

%if %{_use_internal_dependency_generator}
%define __noautoreq 'perl\\(Package::Stash::Conflicts\\)'
%else
%define _requires_exceptions perl(Package::Stash::Conflicts)
%endif

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	3

Summary:	Routines for manipulating stashes


License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Scalar::Util)
BuildRequires: perl(Module::Implementation)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(Dist::CheckConflicts)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl-devel
BuildArch:	noarch

%description
Manipulating stashes (Perl's symbol tables) is occasionally necessary, but
incredibly messy, and easy to get wrong. This module hides all of that
behind a simple API.

NOTE: Most methods in this class require a variable specification that
includes a sigil. If this sigil is absent, it is assumed to represent the
IO slot.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE README META.json
%{_mandir}/man3/*
%{perl_vendorlib}/Package
%{_bindir}/package-stash-conflicts
%{_mandir}/man1/package-stash-conflicts.1*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.360.0-3
+ Revision: 779f6d8
- MassBuild#440: Increase release tag


